datablock fxDtsBrickData(brickBreakable64xCubeData : brick64xCubeData)
{
	breakableBrick = 1;
	category = "Baseplates";
	subcategory = "Breakable";
	uiName = "64x Cube Breakable";
	unbreakableEquiv = "brick64xCubeData";
};

function brickBreakable64xCubeData::breakAt(%data, %brick, %pos)
{
	breakBrick(%brick, brickBreakable32xCubeData.getID(), "8 8 8\t8 8 -8\t8 -8 8\t8 -8 -8\t-8 8 8\t-8 8 -8\t-8 -8 8\t-8 -8 -8", %pos);
}

datablock fxDtsBrickData(brickBreakable32xCubeData : brick32xCubeData)
{
	breakableBrick = 1;
	category = "Baseplates";
	subcategory = "Breakable";
	uiName = "32x Cube Breakable";
	unbreakableEquiv = "brick32xCubeData";
};

function brickBreakable32xCubeData::breakAt(%data, %brick, %pos)
{
	breakBrick(%brick, brickBreakable16xCubeData.getID(), "4 4 4\t4 4 -4\t4 -4 4\t4 -4 -4\t-4 4 4\t-4 4 -4\t-4 -4 4\t-4 -4 -4", %pos);
}

datablock fxDtsBrickData(brickBreakable16xCubeData : brick16xCubeData)
{
	breakableBrick = 1;
	category = "Baseplates";
	subcategory = "Breakable";
	uiName = "16x Cube Breakable";
	unbreakableEquiv = "brick16xCubeData";
};

function brickBreakable16xCubeData::breakAt(%data, %brick, %pos)
{
	breakBrick(%brick, brickBreakable8xCubeData.getID(), "2 2 2\t2 2 -2\t2 -2 2\t2 -2 -2\t-2 2 2\t-2 2 -2\t-2 -2 2\t-2 -2 -2", %pos);
}

datablock fxDtsBrickData(brickBreakable8xCubeData : brick8xCubeData)
{
	breakableBrick = 1;
	category = "Baseplates";
	subcategory = "Breakable";
	uiName = "8x Cube Breakable";
	unbreakableEquiv = "brick8xCubeData";
};

function brickBreakable8xCubeData::breakAt(%data, %brick, %pos)
{
	breakBrick(%brick, brickBreakable4xCubeData.getID(), "1 1 1\t1 1 -1\t1 -1 1\t1 -1 -1\t-1 1 1\t-1 1 -1\t-1 -1 1\t-1 -1 -1", %pos);
}

datablock fxDtsBrickData(brickBreakable4xCubeData : brick4xCubeData)
{
	breakableBrick = 1;
	category = "Baseplates";
	subcategory = "Breakable";
	uiName = "4x Cube Breakable";
	unbreakableEquiv = "brick4xCubeData";
};

function brickBreakable4xCubeData::breakAt(%data, %brick, %pos)
{
	breakBrick(%brick, brickBreakable2xCubeData.getID(), "0.5 0.5 0.5\t0.5 0.5 -0.5\t0.5 -0.5 0.5\t0.5 -0.5 -0.5\t-0.5 0.5 0.5\t-0.5 0.5 -0.5\t-0.5 -0.5 0.5\t-0.5 -0.5 -0.5", %pos);
}

datablock fxDtsBrickData(brickBreakable2xCubeData)
{
	breakableBrick = 1;
	brickFile = "./2x Cube.blb";
	category = "Baseplates";
	subcategory = "Breakable";
	uiName = "2x Cube Breakable";
	unbreakableEquiv = "brick2xCubeData";
};

function brickBreakable2xCubeData::breakAt(%data, %brick, %pos)
{
	breakBrick(%brick, brickBreakable2x2fData.getID(), "0 0 0.4\t0 0 0.2\t0 0 0\t0 0 -0.2\t0 0 -0.4", %pos);
}